#include "CivTestContext.h"
#include "CivHydrTest.h"


CivTestContext::CivTestContext(CivHydrTest* test)
	:mTest(test)
{

}

CivTestContext::~CivTestContext()
{
	delete mTest;
}

void CivTestContext::setHydrTest(CivHydrTest* test)
{
	mTest = test;
}

void CivTestContext::contextTest(char* uri)
{
	if (mTest == nullptr)
		return;

	mTest->test(uri);
}